Accounts API Version History
This page lists updates to the Accounts API.
Latest Version
Version 2.0.0: 6 August 2026
- Version 1 of the Accounts API is deprecated and will no longer accept requests after 17 September 2026. We recommend that you use version 2 of the Accounts API.
- Version 2.0.0 of the Accounts API includes these endpoints:
- /{v2}/accounts/{accountId} — Get Account Information
- /{v2}/accounts/{accountId} — Create a New Account
- /{v2}/accounts/{accountId}/children — Get Managed Accounts
- /{v2}/accounts/{accountId} — Delete Managed Accounts
- /{v2}/accounts/{accountId} — Update Managed Accounts
- For these endpoints, when you create or update an account, the request must include the phone, billingAddress, mailingAddress, and industry parameters:
- /{v2}/accounts/{accountId}
- /{v2}/accounts/{accountId}
- The /{v2}/accounts/{accountId} endpoint response includes the industry parameter.
Previous Versions
- The /{v1}/accounts/{accountid}/children endpoint includes these updates:
- A new includeDelegatedAccounts request parameter. Specify true to include delegated accounts in the response.
- The response now includes a new relationName response parameter.
For more information, see Get Managed Accounts.
- New endpoint to update a managed account:
/{v1}/accounts/{accountId}For more information, see Update Managed Accounts.
- New endpoint to add an account:
/{v1}/accounts/{accountId}
For more information, see Create a New Account.
- New endpoint to delete an account:
/{v1}/accounts/{accountId/force=true}
For more information, see Delete Managed Accounts.
- Initial release.